version: v1

description: |
  This test check on how model knows specific lighting modes,
  such as 'daylight', 'gloomy' or 'vibrant lighting'.
  It generates next templates:
  1. {lighting name} - one square image
  2. ball, {lighting name} - one square image
  3. cube, {lighting name} - one square image
  ---
  Requires next variables:
  * POSITIVE_PROMPT
  * NEGATIVE_PROMPT
  * IMAGE_WIDTH
  * IMAGE_HEIGHT
  * SEED
  * STEPS
  * CFG
  * SAMPLER
  * SCHEDULER
  ---
  All other things must be provided by Playbook.

root:
  children:
    lighting_modes_test:
      vars:
        IMAGE_WIDTH: 768
        IMAGE_HEIGHT: 768
        STEPS: 24
        CFG: 7.0
        SAMPLER: euler_ancestral
        SCHEDULER: normal
        NEGATIVE_PROMPT: explicit
      children:
        by_themselves:
          vars:
            SEED: 70607
          items:
            daylight:
              POSITIVE_PROMPT: daylight
            moonlight:
              POSITIVE_PROMPT: moonlight
            sunshine:
              POSITIVE_PROMPT: sunshine
            natural_light:
              POSITIVE_PROMPT: natural light
            front_light:
              POSITIVE_PROMPT: front light
            backlight:
              POSITIVE_PROMPT: backlight
            soft_light:
              POSITIVE_PROMPT: soft light
            hard_light:
              POSITIVE_PROMPT: hard light
            moody_light:
              POSITIVE_PROMPT: moody light
            dynamic_light:
              POSITIVE_PROMPT: dynamic light
            vibrant_volumetric_light:
              POSITIVE_PROMPT: vibrant volumetric light
            volumetric_light:
              POSITIVE_PROMPT: volumetric light
            ambient_lighting:
              POSITIVE_PROMPT: ambient lighting
            blacklight:
              POSITIVE_PROMPT: blacklight
            blinding_light:
              POSITIVE_PROMPT: blinding light
            candlelight:
              POSITIVE_PROMPT: candlelight
            concert_lighting:
              POSITIVE_PROMPT: concert lighting
            crepuscular_rays:
              POSITIVE_PROMPT: crepuscular rays
            direct_sunlight:
              POSITIVE_PROMPT: direct sunlight
            dusk:
              POSITIVE_PROMPT: dusk
            gloomy:
              POSITIVE_PROMPT: gloomy
            fluorescent:
              POSITIVE_PROMPT: fluorescent
            dramatic_lighting:
              POSITIVE_PROMPT: dramatic lighting
            dark_lighting:
              POSITIVE_PROMPT: dark lighting
            quantum_dot_display:
              POSITIVE_PROMPT: quantum dot display
        with_balls:
          vars:
            SEED: 76767
          items:
            daylight:
              POSITIVE_PROMPT: ball, daylight
            moonlight:
              POSITIVE_PROMPT: ball, moonlight
            sunshine:
              POSITIVE_PROMPT: ball, sunshine
            natural_light:
              POSITIVE_PROMPT: ball, natural light
            front_light:
              POSITIVE_PROMPT: ball, front light
            backlight:
              POSITIVE_PROMPT: ball, backlight
            soft_light:
              POSITIVE_PROMPT: ball, soft light
            hard_light:
              POSITIVE_PROMPT: ball, hard light
            moody_light:
              POSITIVE_PROMPT: ball, moody light
            dynamic_light:
              POSITIVE_PROMPT: ball, dynamic light
            vibrant_volumetric_light:
              POSITIVE_PROMPT: ball, vibrant volumetric light
            volumetric_light:
              POSITIVE_PROMPT: ball, volumetric light
            ambient_lighting:
              POSITIVE_PROMPT: ball, ambient lighting
            blacklight:
              POSITIVE_PROMPT: ball, blacklight
            blinding_light:
              POSITIVE_PROMPT: ball, blinding light
            candlelight:
              POSITIVE_PROMPT: ball, candlelight
            concert_lighting:
              POSITIVE_PROMPT: ball, concert lighting
            crepuscular_rays:
              POSITIVE_PROMPT: ball, crepuscular rays
            direct_sunlight:
              POSITIVE_PROMPT: ball, direct sunlight
            dusk:
              POSITIVE_PROMPT: ball, dusk
            gloomy:
              POSITIVE_PROMPT: ball, gloomy
            fluorescent:
              POSITIVE_PROMPT: ball, fluorescent
            dramatic_lighting:
              POSITIVE_PROMPT: ball, dramatic lighting
            dark_lighting:
              POSITIVE_PROMPT: ball, dark lighting
            quantum_dot_display:
              POSITIVE_PROMPT: ball, quantum dot display
        with_cubes:
          vars:
            SEED: 67676
          items:
            daylight:
              POSITIVE_PROMPT: cube, daylight
            moonlight:
              POSITIVE_PROMPT: cube, moonlight
            sunshine:
              POSITIVE_PROMPT: cube, sunshine
            natural_light:
              POSITIVE_PROMPT: cube, natural light
            front_light:
              POSITIVE_PROMPT: cube, front light
            backlight:
              POSITIVE_PROMPT: cube, backlight
            soft_light:
              POSITIVE_PROMPT: cube, soft light
            hard_light:
              POSITIVE_PROMPT: cube, hard light
            moody_light:
              POSITIVE_PROMPT: cube, moody light
            dynamic_light:
              POSITIVE_PROMPT: cube, dynamic light
            vibrant_volumetric_light:
              POSITIVE_PROMPT: cube, vibrant volumetric light
            volumetric_light:
              POSITIVE_PROMPT: cube, volumetric light
            ambient_lighting:
              POSITIVE_PROMPT: cube, ambient lighting
            blacklight:
              POSITIVE_PROMPT: cube, blacklight
            blinding_light:
              POSITIVE_PROMPT: cube, blinding light
            candlelight:
              POSITIVE_PROMPT: cube, candlelight
            concert_lighting:
              POSITIVE_PROMPT: cube, concert lighting
            crepuscular_rays:
              POSITIVE_PROMPT: cube, crepuscular rays
            direct_sunlight:
              POSITIVE_PROMPT: cube, direct sunlight
            dusk:
              POSITIVE_PROMPT: cube, dusk
            gloomy:
              POSITIVE_PROMPT: cube, gloomy
            fluorescent:
              POSITIVE_PROMPT: cube, fluorescent
            dramatic_lighting:
              POSITIVE_PROMPT: cube, dramatic lighting
            dark_lighting:
              POSITIVE_PROMPT: cube, dark lighting
            quantum_dot_display:
              POSITIVE_PROMPT: cube, quantum dot display
